VPFUtil (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class VPFUtil

    java.lang.Object
      com.bbn.openmap.layer.vpf.VPFUtil

    public class VPFUtil

extends java.lang.Object

Miscellaneous utility functions in dealing with VPF data.

Field Summary
`static java.lang.String` | `Area`
`static java.lang.String` | `CPoint`
`static java.lang.String` | `Edge` some strings
`static java.lang.String` | `Edges`
`static java.lang.String` | `EPoint`
`static java.lang.String` | `Text`

Method Summary
`static java.util.Properties` | `getDefaultProperties()` Return our default properties for vpf land.
`static boolean` | `getHashedValueAsBoolean(java.util.Hashtable<java.lang.String,java.lang.Boolean> dynArgs, java.lang.String arg)` If `arg` maps to a `Boolean` in the Hashtable, that value is returned, `false` otherwise.
`static java.lang.String` | `getTypeForFeatureCode(java.lang.String featureCode)`
`static java.lang.String` | `listToString(java.util.List<java.lang.Object> l)` returns a string with the elements of l separated by spaces
`static int` | `objectToInt(java.lang.Object val)` get the value contained in the object.
`static java.util.Hashtable<java.lang.String,java.lang.Boolean>` | `parseDynamicArgs(java.lang.String args)` Parses dynamic args passed by specialist client.
`static java.lang.String` | `vectorToString(java.util.List<java.lang.Object> l)` Deprecated. use listToString(List) instead

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Edge

    public static final java.lang.String Edge

  some strings

  See Also:
    Constant Field Values

### Edges

    public static final java.lang.String Edges

See Also:
  Constant Field Values

### Text

    public static final java.lang.String Text

See Also:
  Constant Field Values

### Area

    public static final java.lang.String Area

See Also:
  Constant Field Values

### EPoint

    public static final java.lang.String EPoint

See Also:
  Constant Field Values

### CPoint

    public static final java.lang.String CPoint

See Also:
  Constant Field Values

Method Detail

### vectorToString

    public static final java.lang.String vectorToString(java.util.List<java.lang.Object> l)

  Deprecated. use listToString(List) instead

  returns a string with the elements of l separated by spaces

  Parameters:
    `l` - the list to stringize
  Returns:
    the string version of the list

### listToString

    public static final java.lang.String listToString(java.util.List<java.lang.Object> l)

  returns a string with the elements of l separated by spaces

  Parameters:
    `l` - the list to convert to string
  Returns:
    the string version of the list

### objectToInt

    public static final int objectToInt(java.lang.Object val)

  get the value contained in the object.

  Parameters:
    `val` - returns the value of Shorts and Integers as an int. VPF null values get returned as Integer.MIN_VALUE, as do all other types
  Returns:
    the value contained in val

### parseDynamicArgs

    public static java.util.Hashtable<java.lang.String,java.lang.Boolean> parseDynamicArgs(java.lang.String args)

  Parses dynamic args passed by specialist client. A `Hashtable` is returned as a unified holder of all dynamic arguments.

### getHashedValueAsBoolean

    public static boolean getHashedValueAsBoolean(java.util.Hashtable<java.lang.String,java.lang.Boolean> dynArgs,
                                                  java.lang.String arg)

  If `arg` maps to a `Boolean` in the Hashtable, that value is returned, `false` otherwise.

  Parameters:
    `dynArgs` - the Hashtable to look in
    `arg` - the argument to return

### getTypeForFeatureCode

    public static java.lang.String getTypeForFeatureCode(java.lang.String featureCode)

### getDefaultProperties

    public static java.util.Properties getDefaultProperties()

  Return our default properties for vpf land.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details